<?php
    	// require 'vendor/autoload.php';
	require 'external/aws/aws-autoloader.php';
	use Aws\S3\S3Client;
	use Aws\S3\Exception\S3Exception;
	
	// $bucket = '*** Your Bucket Name ***';
	// $keyname = '*** Your Object Key ***';
    function GUID()
    {
        if (function_exists('com_create_guid') === true)
        {
            return trim(com_create_guid(), '{}');
        }
    
        return sprintf('%04X%04X-%04X-%04X-%04X-%04X%04X%04X', mt_rand(0, 65535), mt_rand(0, 65535), mt_rand(0, 65535), mt_rand(16384, 20479), mt_rand(32768, 49151), mt_rand(0, 65535), mt_rand(0, 65535), mt_rand(0, 65535));
    }
    function s4_cloud_upload($fromUserId){
        $region = 'ap-south-1'; 
        $version = 'latest'; 
        $access_key_id = 'AKIA4ROQEOUP4XZNNHHA'; 
        $secret_access_key = '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'; 
        $bucket = 'quiklrnreports'; 
        $s3 = new S3Client([ 
            'version' => $version, 
            'region'  => $region, 
            'credentials' => [ 
                'key'    => $access_key_id, 
                'secret' => $secret_access_key, 
            ] 
        ]); 
        $gUid = GUID();
	    $file_name = $fromUserId."/".$gUid.".csv";
        // $file_temp_src = "/aws.png";
        // $file_temp_src = "https://liveconf-dev.quiklrn.net/liveconf/s3Reports/public_html/aws.png";
        // $file_temp_src = "/var/www/html/tmp/IMG-20231024-WA0025.jpg";
        
        $file_temp_src = "../../../tmp/output.csv";
        
        // Upload file to S3 bucket 
        
        try { 
            $result = $s3->putObject([ 
                'Bucket' => $bucket, 
                'Key'    => $file_name, 
                'ACL'    => 'public-read', 
                'SourceFile' => $file_temp_src,
            ]); 
            $result_arr = $result->toArray(); 
             
            if(!empty($result_arr['ObjectURL'])) { 
                $s3_file_link = $result_arr['ObjectURL']; 
            } else { 
                $api_error = 'Upload Failed! S3 Object URL not found.'; 
            } 
        } catch (Aws\S3\Exception\S3Exception $e) { 
            $api_error = $e->getMessage(); 
        } 
         
        if(empty($api_error)){ 
            $status = 'success'; 
            $statusMsg = ['status_code'=>200, 'msg' => "File was uploaded to the S3 bucket successfully!", 'objectURI' =>S3_BASE_URI.$file_name]; 
        }else{ 
            $statusMsg = ['status_code'=>401, 'msg' => $api_error, 'objectURI' =>'']; 
        } 
        return $statusMsg;

    }
    function sa4_cloud_upload()
    {
        $bucket = 'quiklrnreports';
        $keyname = 'AKIA4ROQEOUP4XZNNHHA';
                                
        $s3 = new S3Client([
            'version' => 'latest',
            'region'  => 'ap-south-1'
        ]);
        
        try {
            // Upload data.
            $result = $s3->putObject([
                'Bucket' => $bucket,
                'Key'    => $keyname,
                'Body'   => 'Hello, world!',
                'ACL'    => 'public-read'
            ]);
        
            // Print the URL to the object.
            echo $result['ObjectURL'] . PHP_EOL;
        } catch (S3Exception $e) {
            echo $e->getMessage() . PHP_EOL;
        }
    }

   
?>